Update user settings for a deployment resource
- PUT /deployments/{deployment_id}/{resource_kind}/{ref_id}/user_settings
Replaces the component-level user-defined settings for the specified resource kind in the deployment. All existing component-level user settings are overwritten with the provided values. Submitting an empty object will remove all component-level user settings for the resource. This endpoint does not support tier/topology-level user settings overrides.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
resource_kindrequired -
The kind of resource
-
Values:
elasticsearchkibanaapmappsearchenterprise_searchintegrations_server -
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one)
Request
The user settings to apply to the deployment resource. Replaces all existing user settings.
-
user_settingsobjectrequired -
A JSON object containing the user settings for the resource. Replaces all existing user settings when submitted via PUT.
Responses
The updated user settings for the deployment resource
-
user_settingsobjectrequired -
A JSON object containing the user settings for the resource. Replaces all existing user settings when submitted via PUT.
- Plan or user settings validation failed. (code:
clusters.cluster_invalid_plan) - The deployment plan could not be applied; see the error message. (code:
user_settings.update_failed)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response